import 'package:tetrisdual/provider/data.dart';

class GameUtils {
  static Future<void> quitGame(Data myProvider) async {
    myProvider.updateGameIsRunning(false);
  }

  static Future<void> startNewGame(Data myProvider) async {
    myProvider.resetGame();
    myProvider.enableRandomPlayer();
    myProvider.getCurrentPlayer().pickRandomTetrimino();
    myProvider.updateGameIsRunning(true);
  }
}
